Browse Source

CI: Fix multiple failures

1) Drop lower-constraints job

The lower-constraints job is failing in stable/victoria and older stable
branches. OpenStack projects are allowed to drop lower-constraints
testing when it becomes too difficult to maintain.

2) Cap bandit dependency on Python 2.7

The (yanked) 1.6.3 release of bandit dropped support for Python 2.

Change-Id: I66011e9f737982c61fb6cc2e0103d6c9d2a7a171
(cherry picked from commit 04f4c78b45)
changes/14/786314/2
Pierre Riteau 2 months ago
parent
commit
9f45001938
2 changed files with 2 additions and 2 deletions
  1. +0
    -1
      .zuul.yaml
  2. +2
    -1
      test-requirements.txt

+ 0
- 1
.zuul.yaml View File

@ -123,7 +123,6 @@
- project:
templates:
- openstack-lower-constraints-jobs
- check-requirements
- openstack-cover-jobs
- openstack-python-jobs


+ 2
- 1
test-requirements.txt View File

@ -21,5 +21,6 @@ sphinxcontrib-pecanwsme>=0.8 # Apache-2.0
reno>=1.8.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
Pygments>=2.2.0 # BSD license
bandit>=1.6.0 # Apache-2.0
bandit>=1.6.0,<1.6.3;python_version=='2.7' # Apache-2.0
bandit>=1.6.0;python_version>='3.4' # Apache-2.0
os-api-ref>=1.0.0 # Apache-2.0

Loading…
Cancel
Save